Bug 568759 - DeviceError: ('device has not been created', 'linux-swap')
Summary: DeviceError: ('device has not been created', 'linux-swap')
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 14
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:538526d4b91fae84c...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-26 14:57 UTC by James Laska
Modified: 2013-09-02 06:45 UTC (History)
7 users (show)

Fixed In Version: anaconda-14.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-07 18:03:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (569.88 KB, text/plain)
2010-02-26 14:57 UTC, James Laska
no flags Details
Attached traceback automatically from anaconda. (260.01 KB, text/plain)
2010-03-01 16:16 UTC, Steve Tyler
no flags Details
Attached traceback automatically from anaconda. (351.68 KB, text/plain)
2010-03-23 17:20 UTC, James Laska
no flags Details
Attached traceback automatically from anaconda. (377.24 KB, text/plain)
2010-04-12 08:55 UTC, Phil
no flags Details
Attached traceback automatically from anaconda. (2.08 MB, text/plain)
2010-04-13 22:38 UTC, mounirvonmuller
no flags Details
manually create partitioning on F14 X64 fresh install (967.12 KB, text/plain)
2010-10-22 20:08 UTC, kevin martin
no flags Details

Description James Laska 2010-02-26 14:57:49 UTC
The following was filed automatically by anaconda:
anaconda 13.32 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 2263, in setup
    raise DeviceError("device has not been created", self.name)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 264, in execute
    self.device.setup()
  File "/usr/lib/anaconda/storage/devicetree.py", line 672, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 290, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 109, in turnOnFilesystems
    anaconda.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1313, in nextClicked
    self.anaconda.dispatch.gotoNext()
DeviceError: ('device has not been created', 'linux-swap')

Comment 1 James Laska 2010-02-26 14:57:52 UTC
Created attachment 396553 [details]
Attached traceback automatically from anaconda.

Comment 2 James Laska 2010-02-26 15:00:58 UTC
= Steps to reproduce =

I chose 'custom partitioning' and ... 
1) Chose to reformat existing '/' and '/boot' partitions.  
2) Mount existing '/home' (but do not format)
3) Removed existing LVM swap volume, and created a new one

Comment 3 Steve Tyler 2010-03-01 16:16:49 UTC
Created attachment 397102 [details]
Attached traceback automatically from anaconda.

Comment 4 Steve Tyler 2010-03-01 16:49:10 UTC
(In reply to comment #3)
> Created an attachment (id=397102) [details]
> Attached traceback automatically from anaconda.    

While trying to work around bug 569057, I got this one.

In F12 (on sdaN), sdb3 and sdb5 were formatted as ext4 with mke2fs to recover from the corruption.

In F12, fdisk was used to delete sdb5, sdb3, sdb4 (in that order, if it matters).
In F12, fdisk was used to create sdb3 using all remaining space.

F13 live was booted from a USB stick.
Started the live installer and chose a custom disk layout.

The installer showed 4 MB of unused space at the end of the disk, so I chose to delete sdb3 and recreate it. The installer showed no unused space.
sdb3 was specified to be formatted as ext4 and mounted on "/". The installer showed the label that sdb3 had before fdisk was used (linux_spare_2).

I received a warning about not having specified a swap partition and proceeded without one.

Clicked to write changes, the process started, got the exception.

[liveuser@localhost ~]$ su -c 'fdisk -l /dev/sdb'

Disk /dev/sdb: 40.0 GB, 40020664320 bytes
255 heads, 63 sectors/track, 4865 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0xff3d5e55

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *           1          13      104391   83  Linux
/dev/sdb2              14        4418    35383162+  8e  Linux LVM
/dev/sdb3            4419        4866     3594399   83  Linux

[root@localhost liveuser]# e2fsck -nv /dev/sdb3
e2fsck 1.41.10 (10-Feb-2009)
e2fsck: Superblock invalid, trying backup blocks...
Superblock has an invalid journal (inode 8).
Clear? no

e2fsck: Illegal inode number while checking ext3 journal for linux_spare_2

[root@localhost liveuser]# dd if=/dev/sdb3 bs=1M count=1 | hexdump -C
00000000  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |................|
*
00100000
1+0 records in
1+0 records out
1048576 bytes (1.0 MB) copied, 0.0686505 s, 15.3 MB/s

Comment 5 Steve Tyler 2010-03-01 18:26:58 UTC
I found a possible work-around for this bug and bug 569057:

Partition using fdisk and do not use the installer to partition.

In F12, I removed sdb3 and recreated it using the default size given by fdisk. I then booted off the F13 live USB and was able to complete the install by using the existing partition created by fdisk.

The clue was the 4 MB that fdisk did not allocate to sdb3 and that the installer did allocate.

Comment 6 James Laska 2010-03-23 17:20:38 UTC
Created attachment 402101 [details]
Attached traceback automatically from anaconda.

Comment 7 Phil 2010-04-12 08:55:37 UTC
Created attachment 405911 [details]
Attached traceback automatically from anaconda.

Comment 8 Phil 2010-04-12 09:05:45 UTC
Hardware:

sda = 250GB sata
sdb = 320GB sata


Existing Layout:
sda
|-sda1 = 256mb /boot
`-sda2 = LVM = / and 4096mb swap

sdb
`-sda1 = 320gb ntfs


New layout:
sda
|-sda1 = md0 raid1 = 256mb /boot
`-sda2 = md1 raid0 = VG

sdb
|-sda1 = md0 raid1 = 256mb /boot
|-sda2 = md1 raid0 = VG
`-unpartitioned space

VG
|-Swap = 4096
`-Root = the rest

Comment 9 mounirvonmuller 2010-04-13 22:38:22 UTC
Created attachment 406368 [details]
Attached traceback automatically from anaconda.

Comment 11 David Lehman 2010-04-22 23:26:04 UTC
The action pruning problem (comment 3, comment 6, comment 7) is fixed in anaconda-14.5-1 on rawhide (anaconda-13.39-1 for F13).

I believe that the action sorting bug from comment 7 will be fixed along with bug 574379 in anaconda-14.3-1 (and anaconda-13.38-1).

Comment 12 Bug Zapper 2010-07-30 10:55:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 kevin martin 2010-10-22 20:08:03 UTC
Created attachment 455183 [details]
manually create partitioning on F14 X64 fresh  install

Trying to manually create partitioning on F14 X64 install side by side with Windows 7 X64....goes horribly wrong.


Note You need to log in before you can comment on or make changes to this bug.